Skip to content

getWarehouseTransferLines

READ

Get warehouse transfer lines.

POST /api/v1/inventory/getWarehouseTransferLines
curl -X POST '<your-host>/api/v1/inventory/getWarehouseTransferLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "transferId": "string"
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "fromLocationId": "string",
      "fromStorageUnitId": "string",
      "id": "string",
      "itemId": "string",
      "notes": "string",
      "quantity": 0,
      "receivedQuantity": 0,
      "shippedQuantity": 0,
      "toLocationId": "string",
      "toStorageUnitId": "string",
      "transferId": "string",
      "unitOfMeasureCode": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "item": {
        "active": true,
        "assignee": "string",
        "changeOrderId": "string",
        "companyId": "string",
        "createdAt": "string",
        "createdBy": "string",
        "defaultMethodType": "Purchase to Order",
        "description": "string",
        "id": "string",
        "itemTrackingType": "Inventory",
        "mpn": "string",
        "name": "string",
        "notes": "…",
        "readableId": "string",
        "readableIdWithRevision": "string",
        "replenishmentSystem": "Buy",
        "revision": "string",
        "revisionStatus": "Production",
        "sourcingType": "Specified",
        "thumbnailPath": "string",
        "trackingMethod": "string",
        "type": "Part",
        "unitOfMeasureCode": "string",
        "updatedAt": "string",
        "updatedBy": "string"
      },
      "fromStorageUnit": {
        "name": "string"
      },
      "toStorageUnit": {
        "name": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "transferId": {
      "type": "string"
    }
  },
  "required": [
    "transferId"
  ]
}